<?php
/***************************************************************************
* Copyright 2015 Panagiotis Ioannidis - Minas Dasygenis                    *
*                                                                          *
* Licensed under the Apache License, Version 2.0 (the "License");          *
* you may not use this file except in compliance with the License.         *
* You may obtain a copy of the License at                                  *
*                                                                          *
*     http://www.apache.org/licenses/LICENSE-2.0                           *
*                                                                          *
* Unless required by applicable law or agreed to in writing, software      *
* distributed under the License is distributed on an "AS IS" BASIS,        *
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. *
* See the License for the specific language governing permissions and      *
* limitations under the License.                                           *
***************************************************************************/
$require_variable = 1;
require 'php_scripts/force_https_session_script.php';
require 'php_scripts/login_check_script.php';
require 'php_scripts/db_connect_script.php';
require 'php_scripts/devices_script.php';

require 'include/head.php';
echo "<title>Οι Συσκευές Μου</title>";
echo "</head><body>";
require 'include/nav_menu.php';
?>

<div class='container'>
	<div class='row'>
		<?php require 'php_alerts/devices_alerts.php'; ?>
	</div>
	<div class='row'>
		<div class='page_title'><a href='devices.php'>Οι Συσκευές Μου</a></div>
	</div>
	<?php require 'php_echoes/devices_echoes.php'; ?>
	<div class='row device_add'>
		<hr />
		<div class='col-md-4 hidden-xs hidden-sm text-center'>
		</div>
		<div class='col-md-4 col-sm-12 text-center'>
			<label for='device_add_form'>Προσθήκη νέας συσκευής</label>
			<form action='devices.php' id='device_add_form' name='device_add_form' method='POST'>
				<input type='text' class='form-control' placeholder='όνομα νέας συσκευής' name='new_device_name'<?php if(isset($new_device_name)) {echo "value='$new_device_name'";} ?>>
				<input name='device_add' class='btn btn-primary btn-block form_button' type='submit' value='Προσθήκη'>
			</form>
		</div>
		<div class='col-md-4 hidden-xs hidden-sm text-center'>
		</div>
	</div>
</div>

<?php
$dbh = NULL;
require 'include/footer.php';
exit();
?>