<?php
/***************************************************************************
* Copyright 2015 Panagiotis Ioannidis - Minas Dasygenis                    *
*                                                                          *
* Licensed under the Apache License, Version 2.0 (the "License");          *
* you may not use this file except in compliance with the License.         *
* You may obtain a copy of the License at                                  *
*                                                                          *
*     http://www.apache.org/licenses/LICENSE-2.0                           *
*                                                                          *
* Unless required by applicable law or agreed to in writing, software      *
* distributed under the License is distributed on an "AS IS" BASIS,        *
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. *
* See the License for the specific language governing permissions and      *
* limitations under the License.                                           *
***************************************************************************/
$require_variable = 1;
require 'php_scripts/force_https_session_script.php';
require 'php_scripts/login_check_script.php';
require 'php_scripts/admin_check_script.php';
require 'php_scripts/db_connect_script.php';
require 'php_scripts/devices_admin_logs_script.php';

require 'include/head.php';
echo "<title>Αρχείο Καταγραφής Συσκευών</title>";
echo "</head><body>";
require 'include/nav_menu.php';
?>

<div class='container'>
	<div class='row'>
		<?php require 'php_alerts/devices_admin_logs_alerts.php'; ?>
	</div>
	<div class='row'>
		<div class='page_title'><a href='devices_admin_logs.php'>Αρχείο Καταγραφής Συσκευών</a></div>
	</div>
	<?php require 'php_echoes/devices_admin_logs_echoes.php'; ?>
</div>

<?php
$dbh = NULL;
require 'include/footer.php';
exit();
?>