<?php
/***************************************************************************
* Copyright 2015 Panagiotis Ioannidis - Minas Dasygenis                    *
*                                                                          *
* Licensed under the Apache License, Version 2.0 (the "License");          *
* you may not use this file except in compliance with the License.         *
* You may obtain a copy of the License at                                  *
*                                                                          *
*     http://www.apache.org/licenses/LICENSE-2.0                           *
*                                                                          *
* Unless required by applicable law or agreed to in writing, software      *
* distributed under the License is distributed on an "AS IS" BASIS,        *
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. *
* See the License for the specific language governing permissions and      *
* limitations under the License.                                           *
***************************************************************************/
if (!isset($require_variable))
{
	header("Location: ../index.php");
	die();
}
	if (isset($_SESSION['session_expired']))
	{
		echo "<div class='alert alert-warning alert-dismissible' role='alert'>
		<button type='button' class='close' data-dismiss='alert'>
		<span aria-hidden='true'>&times;</span>
		<span class='sr-only'>Close</span></button>
		Η συνεδρία σας έχει λήξει. Παρακαλούμε συνδεθείτε ξανά.
		</div>";
		session_destroy();
	}
	else if (isset($_SESSION['logged_out']))
	{
		echo "<div class='alert alert-success alert-dismissible' role='alert'>
		<button type='button' class='close' data-dismiss='alert'>
		<span aria-hidden='true'>&times;</span>
		<span class='sr-only'>Close</span></button>
		Έχετε αποσυνδεθεί επιτυχώς.
		</div>";
		session_destroy();
	}
	else if (isset($inactive))
	{
		echo "<div class='alert alert-warning alert-dismissible' role='alert'>
		<button type='button' class='close' data-dismiss='alert'>
		<span aria-hidden='true'>&times;</span>
		<span class='sr-only'>Close</span></button>
		Αυτός ο λογαριασμός δεν έχει ενεργοποιηθεί ακόμα. Παρακαλούμε ελέγξτε το e-mail σας (η ζητήστε <a href='resend_activation_email.php'>επαναποστολή</a> του e-mail ενεργοποίησης).
		</div>";
		unset($inactive);
	}
	else if (isset($banned))
	{
		echo "<div class='alert alert-danger alert-dismissible' role='alert'>
		<button type='button' class='close' data-dismiss='alert'>
		<span aria-hidden='true'>&times;</span>
		<span class='sr-only'>Close</span></button>
		Αυτός ο λογαριασμός έχει αποκλειστεί.
		</div>";
		unset($banned);
		session_destroy();
	}
	else if (isset($_SESSION['resent']))
	{
		echo "<div class='alert alert-success alert-dismissible' role='alert'>
		<button type='button' class='close' data-dismiss='alert'>
		<span aria-hidden='true'>&times;</span>
		<span class='sr-only'>Close</span></button>
		Το e-mail ενεργοποίησης επανεστάλη επιτυχώς.
		</div>";
		session_destroy();
	}
	else if (isset($inv_cred))
	{
		echo "<div class='alert alert-danger alert-dismissible' role='alert'>
		<button type='button' class='close' data-dismiss='alert'>
		<span aria-hidden='true'>&times;</span>
		<span class='sr-only'>Close</span></button>
		Λανθασμένος κωδικός ή όνομα χρήστη.
		</div>";
		unset($inv_cred);
		session_destroy();
	}
	else if (isset($empty_form))
	{
		echo "<div class='alert alert-warning alert-dismissible' role='alert'>
		<button type='button' class='close' data-dismiss='alert'>
		<span aria-hidden='true'>&times;</span>
		<span class='sr-only'>Close</span></button>
		Συμπληρώστε το όνομα χρήστη <strong>και</strong> τον κωδικό σας.
		</div>";
		unset($empty_form);
		session_destroy();
	}
	else if (isset($active))
	{
		echo "<div class='alert alert-warning alert-dismissible' role='alert'>
		<button type='button' class='close' data-dismiss='alert'>
		<span aria-hidden='true'>&times;</span>
		<span class='sr-only'>Close</span></button>
		Αυτός ο λογαριασμός είναι ήδη ενεργοποιημένος.
		</div>";
		unset($active);
	}
	else if (isset($_SESSION['inv_link']))
	{
		echo "<div class='alert alert-warning alert-dismissible' role='alert'>
		<button type='button' class='close' data-dismiss='alert'>
		<span aria-hidden='true'>&times;</span>
		<span class='sr-only'>Close</span></button>
		Αυτός ο σύνδεσμος δεν είναι έγκυρος.
		</div>";
		unset($_SESSION['inv_link']);
	}
	else if (isset($_SESSION['registered']))
	{
		echo "<div class='alert alert-success alert-dismissible' role='alert'>
		<button type='button' class='close' data-dismiss='alert'>
		<span aria-hidden='true'>&times;</span>
		<span class='sr-only'>Close</span></button>
		Έχετε εγγραφεί επιτυχώς. Ελέγξτε το e-mail σας για να ενεργοποιήσετε τον λογαριασμό σας.
		</div>";
		session_destroy();
	}
	else if (isset($_SESSION['stranger']))
	{
		echo "<div class='alert alert-warning alert-dismissible' role='alert'>
		<button type='button' class='close' data-dismiss='alert'>
		<span aria-hidden='true'>&times;</span>
		<span class='sr-only'>Close</span></button>
		Πρέπει να συνδεθείτε για να έχετε πρόσβαση σε αυτή τη σελίδα.
		</div>";
		session_destroy();
	}
	else if (isset($activated))
	{
		echo "<div class='alert alert-success alert-dismissible' role='alert'>
		<button type='button' class='close' data-dismiss='alert'>
		<span aria-hidden='true'>&times;</span>
		<span class='sr-only'>Close</span></button>
		Ο λογαριασμός σας έχει ενεργοποιηθεί. Τώρα μπορείτε να συνδεθείτε.
		</div>";
		unset($activated);
		session_destroy();
	}
	else if (isset($_SESSION['changed_pass']))
	{
		echo "<div class='alert alert-success alert-dismissible' role='alert'>
		<button type='button' class='close' data-dismiss='alert'>
		<span aria-hidden='true'>&times;</span>
		<span class='sr-only'>Close</span></button>
		Αλλάξατε τον κωδικό σας επιτυχώς. Παρακαλούμε συνδεθείτε ξανά με τον καινούριο σας κωδικό.
		</div>";
		session_destroy();
	}
	else if (isset($_SESSION['password_reset_email_sent']))
	{
		echo "<div class='alert alert-success alert-dismissible' role='alert'>
		<button type='button' class='close' data-dismiss='alert'>
		<span aria-hidden='true'>&times;</span>
		<span class='sr-only'>Close</span></button>
		Ένα e-mail έχει αποσταλεί στην διεύθυνση e-mail σας. Παρακαλούμε, ελέγξτε το e-mail αυτό.
		</div>";
		session_destroy();
	}
	else if (isset($_SESSION['password_reset']))
	{
		echo "<div class='alert alert-success alert-dismissible' role='alert'>
		<button type='button' class='close' data-dismiss='alert'>
		<span aria-hidden='true'>&times;</span>
		<span class='sr-only'>Close</span></button>
		Αλλάξατε τον κωδικό σας επιτυχώς. Παρακαλούμε συνδεθείτε ξανά με τον καινούριο σας κωδικό.
		</div>";
		session_destroy();
	}
	else if (isset($_SESSION['db_error']))
	{
		echo "<div class='alert alert-danger alert-dismissible' role='alert'>
		<button type='button' class='close' data-dismiss='alert'>
		<span aria-hidden='true'>&times;</span>
		<span class='sr-only'>Close</span></button>
		Υπήρξε ένα πρόβλημα με τις τιμές της βάσης δεδομένων. Παρακαλούμε επικοινωνήστε με τον διαχειρηστή.
		</div>";
		session_destroy();
	}
	else if (isset($_SESSION['SMTP_error']))
	{
		echo "<div class='alert alert-danger alert-dismissible' role='alert'>
		<button type='button' class='close' data-dismiss='alert'>
		<span aria-hidden='true'>&times;</span>
		<span class='sr-only'>Close</span></button>
		Υπήρξε ένα πρόβλημα με τον STMP server. Παρακαλούμε, δοκιμάστε να ξαναστείλετε το e-mail ενεργοποίησης αργότερα (ή επικοινωνήστε με τον διαχειριστή).
		</div>";
		session_destroy();
	}
?>