<?php
/***************************************************************************
* Copyright 2015 Panagiotis Ioannidis - Minas Dasygenis                    *
*                                                                          *
* Licensed under the Apache License, Version 2.0 (the "License");          *
* you may not use this file except in compliance with the License.         *
* You may obtain a copy of the License at                                  *
*                                                                          *
*     http://www.apache.org/licenses/LICENSE-2.0                           *
*                                                                          *
* Unless required by applicable law or agreed to in writing, software      *
* distributed under the License is distributed on an "AS IS" BASIS,        *
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. *
* See the License for the specific language governing permissions and      *
* limitations under the License.                                           *
***************************************************************************/
if (!isset($require_variable))
{
	header("Location: ../index.php");
	die();
}
if (isset($long_email))
{
	echo "<div class='alert alert-danger alert-dismissible' role='alert'>
	<button type='button' class='close' data-dismiss='alert'>
	<span aria-hidden='true'>&times;</span>
	<span class='sr-only'>Close</span></button>
	Το μήκος της νέας διεύθυνσης e-mail δεν μπορεί να ξεπερνά τους 40 χαρακτήρες.
	</div>";
	unset($long_email);
}
else if (isset($email_mismatch))
{
	echo "<div class='alert alert-danger alert-dismissible' role='alert'>
	<button type='button' class='close' data-dismiss='alert'>
	<span aria-hidden='true'>&times;</span>
	<span class='sr-only'>Close</span></button>
	Οι διευθύνσεις e-mail δεν είναι ίδιες.
	</div>";
	unset($email_mismatch);
}
else if (isset($empty_form))
{
	echo "<div class='alert alert-warning alert-dismissible' role='alert'>
	<button type='button' class='close' data-dismiss='alert'>
	<span aria-hidden='true'>&times;</span>
	<span class='sr-only'>Close</span></button>
	Συμπληρώστε <strong>όλα</strong> τα πεδία.
	</div>";
	unset($empty_form);
}
else if (isset($inv_email))
{
	echo "<div class='alert alert-danger alert-dismissible' role='alert'>
	<button type='button' class='close' data-dismiss='alert'>
	<span aria-hidden='true'>&times;</span>
	<span class='sr-only'>Close</span></button>
	Αυτή η διεύθυνση e-mail έχει ήδη καταχωρηθεί σε κάποιον άλλο χρήστη.
	</div>";
	unset($inv_email);
}
else if (isset($your_email))
{
	echo "<div class='alert alert-warning alert-dismissible' role='alert'>
	<button type='button' class='close' data-dismiss='alert'>
	<span aria-hidden='true'>&times;</span>
	<span class='sr-only'>Close</span></button>
	Αυτή η διεύθυνση e-mail ανήκει ήδη σε σας.
	</div>";
	unset($your_email);
}
else if (isset($short_long_pass))
{
	echo "<div class='alert alert-danger alert-dismissible' role='alert'>
	<button type='button' class='close' data-dismiss='alert'>
	<span aria-hidden='true'>&times;</span>
	<span class='sr-only'>Close</span></button>
	Το μήκος του νέου κωδικού πρέπει να είναι μεταξύ 4 και 40 χαρακτήρων.
	</div>";
	unset($short_long_pass);
}
else if (isset($pass_mismatch))
{
	echo "<div class='alert alert-danger alert-dismissible' role='alert'>
	<button type='button' class='close' data-dismiss='alert'>
	<span aria-hidden='true'>&times;</span>
	<span class='sr-only'>Close</span></button>
	Οι κωδικοί δεν είναι ίδιοι.
	</div>";
	unset($wrong_pass);
}
else if (isset($wrong_pass))
{
	echo "<div class='alert alert-danger alert-dismissible' role='alert'>
	<button type='button' class='close' data-dismiss='alert'>
	<span aria-hidden='true'>&times;</span>
	<span class='sr-only'>Close</span></button>
	Ο κωδικός είναι εσφαλμένος.
	</div>";
	unset($wrong_pass);
}
if (isset($changed_email))
{
	echo "<div class='alert alert-success alert-dismissible' role='alert'>
	<button type='button' class='close' data-dismiss='alert'>
	<span aria-hidden='true'>&times;</span>
	<span class='sr-only'>Close</span></button>
	Η διεύθυνση e-mail σας έχει ενημερωθεί επιτυχώς.
	</div>";
	unset($changed_email);
	unset($new_email);
	unset($confirm_new_email);
}
?>