<?php
/***************************************************************************
* Copyright 2015 Panagiotis Ioannidis - Minas Dasygenis                    *
*                                                                          *
* Licensed under the Apache License, Version 2.0 (the "License");          *
* you may not use this file except in compliance with the License.         *
* You may obtain a copy of the License at                                  *
*                                                                          *
*     http://www.apache.org/licenses/LICENSE-2.0                           *
*                                                                          *
* Unless required by applicable law or agreed to in writing, software      *
* distributed under the License is distributed on an "AS IS" BASIS,        *
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. *
* See the License for the specific language governing permissions and      *
* limitations under the License.                                           *
***************************************************************************/
if (!isset($require_variable))
{
	header("Location: ../index.php");
	die();
}
if (isset($empty_form))
{
	echo "<div class='alert alert-warning alert-dismissible' role='alert'>
	<button type='button' class='close' data-dismiss='alert'>
	<span aria-hidden='true'>&times;</span>
	<span class='sr-only'>Close</span></button>
	Συμπληρώστε <strong>όλα</strong> τα πεδία.
	</div>";
	unset($empty_form);
	session_destroy();
}
else if (isset($email_mismatch))
{
	echo "<div class='alert alert-danger alert-dismissible' role='alert'>
	<button type='button' class='close' data-dismiss='alert'>
	<span aria-hidden='true'>&times;</span>
	<span class='sr-only'>Close</span></button>
	Οι διευθύνσεις e-mail δεν είναι ίδιες.
	</div>";
	unset($email_mismatch);
	session_destroy();
}
else if (isset($short_pass))
{
	echo "<div class='alert alert-danger alert-dismissible' role='alert'>
	<button type='button' class='close' data-dismiss='alert'>
	<span aria-hidden='true'>&times;</span>
	<span class='sr-only'>Close</span></button>
	Το μήκος του κωδικού πρέπει να είναι μεταξύ 4 και 40 χαρακτήρων.
	</div>";
	unset($short_pass);
	session_destroy();
}
else if (isset($pass_mismatch))
{
	echo "<div class='alert alert-danger alert-dismissible' role='alert'>
	<button type='button' class='close' data-dismiss='alert'>
	<span aria-hidden='true'>&times;</span>
	<span class='sr-only'>Close</span></button>
	Οι κωδικοί δεν είναι ίδιοι.
	</div>";
	unset($pass_mismatch);
	session_destroy();
}
else if (isset($long_user_mail))
{
	echo "<div class='alert alert-danger alert-dismissible' role='alert'>
	<button type='button' class='close' data-dismiss='alert'>
	<span aria-hidden='true'>&times;</span>
	<span class='sr-only'>Close</span></button>
	Το μήκος του ονόματος χρήστη και της διεύθυνσης e-mail δεν μπορούν να ξεπερνούν τους 40 χαρακτήρες.
	</div>";
	unset($long_user_mail);
	session_destroy();
}
else if (isset($inv_email))
{
	echo "<div class='alert alert-danger alert-dismissible' role='alert'>
	<button type='button' class='close' data-dismiss='alert'>
	<span aria-hidden='true'>&times;</span>
	<span class='sr-only'>Close</span></button>
	Αυτή η διεύθυνση e-mail έχει ήδη καταχωρηθεί σε κάποιον άλλο χρήστη.
	</div>";
	unset($inv_mail);
	session_destroy();
}
else if (isset($inv_user))
{
	echo "<div class='alert alert-danger alert-dismissible' role='alert'>
	<button type='button' class='close' data-dismiss='alert'>
	<span aria-hidden='true'>&times;</span>
	<span class='sr-only'>Close</span></button>
	Αυτό το όνομα χρήστη είναι κατειλλημένο.
	</div>";
	unset($inv_user);
	session_destroy();
}
else if (isset($SMTP_error))
{
	echo "<div class='alert alert-danger alert-dismissible' role='alert'>
	<button type='button' class='close' data-dismiss='alert'>
	<span aria-hidden='true'>&times;</span>
	<span class='sr-only'>Close</span></button>
	Υπήρξε ένα πρόβλημα με τον STMP server. Παρακαλούμε, δοκιμάστε να εγγραφείτε αργότερα (ή επικοινωνήστε με τον διαχειριστή).
	</div>";
	unset($SMTP_error);
	session_destroy();
}
?>