<?php
/***************************************************************************
* Copyright 2015 Panagiotis Ioannidis - Minas Dasygenis                    *
*                                                                          *
* Licensed under the Apache License, Version 2.0 (the "License");          *
* you may not use this file except in compliance with the License.         *
* You may obtain a copy of the License at                                  *
*                                                                          *
*     http://www.apache.org/licenses/LICENSE-2.0                           *
*                                                                          *
* Unless required by applicable law or agreed to in writing, software      *
* distributed under the License is distributed on an "AS IS" BASIS,        *
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. *
* See the License for the specific language governing permissions and      *
* limitations under the License.                                           *
***************************************************************************/
if (!isset($require_variable))
{
	header("Location: ../index.php");
	die();
}
if (isset($_POST['register']))
{
	$email = strip_tags($_POST['email']);
	$confirm_email = strip_tags($_POST['confirm_email']);
	$user_name = strip_tags($_POST['user_name']);
	$password = $_POST['password'];
	$confirm_password = $_POST['confirm_password'];
	
	if ($email && $confirm_email && $user_name && $password && $confirm_password)
	{
		if ($email == $confirm_email)
		{
			if (strlen($password) > 3 && strlen($password) < 41)
			{
				if ($password == $confirm_password)
				{
					$password = md5("ABBAE" . md5($password));
				
					if (strlen($email) < 41 && strlen($user_name) < 41)
					{
						require 'php_scripts/db_connect_script.php';
						$sth = $dbh->prepare("SELECT COUNT(*) FROM users WHERE user_email=:email LIMIT 1;");
						$sth->execute(array(':email' => $email));
						$result = $sth->fetch(PDO::FETCH_NUM);
						$num_rows = $result['0'];
    					if($num_rows == 0)
						{
							$sth = $dbh->prepare("SELECT COUNT(*) FROM users WHERE user_name=:user_name LIMIT 1;");
							$sth->execute(array(':user_name' => $user_name));
							$result = $sth->fetch(PDO::FETCH_NUM);
							$num_rows = $result['0'];
							if($num_rows == 0)
							{
								$sth = $dbh->prepare("INSERT INTO users (user_id, user_name, password_hash, user_status, user_email, registration_timestamp, user_rank) VALUES ('', :user_name, :password, '', :email, NOW(), '');");
    							$sth->execute(array(':user_name' => $user_name, ':password' => $password, ':email' => $email));

    							$sth = $dbh->prepare("SELECT user_id FROM users WHERE user_name=:user_name LIMIT 1;");
    							$sth->execute(array(':user_name' => $user_name));
    							$result = $sth->fetch();
    							$user_id = $result['user_id'];
								
    							$activation_hash = md5(rand());
								
    							$sth = $dbh->prepare("INSERT INTO user_activation (user_id, activation_hash) VALUES (:user_id, :hash);");
    							$sth->execute(array(':user_id' => $user_id, ':hash' => $activation_hash));
								
    							$to = $email;
    							$subject = "Ενεργοποίηση λογαριασμού";
    							$server = $_SERVER['SERVER_NAME'];
    							$headers = "MIME-Version: 1.0\r\nContent-type:text/html;charset=UTF-8\r\nFrom: admin@$server";
    							$path = dirname($_SERVER['SCRIPT_NAME']);
    							$body = "Γεια σας $user_name,<br /><br />Καλοσωρίσατε στον ιστοχώρο μας. Ακολουθήστε τον παρακάτω σύνδεσμο για να ενεργοποιήσετε τον λογαριασμό σας!<br />https://$server$path/index.php?id=$user_id&activation_hash=$activation_hash";
    							
    							if (mail($to, $subject, $body, $headers))
    							{
    								$action_description = "Ο χρήστης \"$user_name\" (Α/Α: $user_id) δημιούργησε έναν νέο λογαριασμό.";
									$sth = $dbh->prepare("INSERT INTO users_logs (log_id, timestamp, user_name, action_description) VALUES ('', NOW(), :user_name, :action_description);");
									$sth->execute(array(':user_name' => $user_name, ':action_description' => $action_description));
									
    								$dbh = NULL;
									$_SESSION['registered'] = 1;
									header("Location: index.php");
									die();
								}
								else
								{
									$sth = $dbh->prepare("DELETE FROM users WHERE user_id=:user_id LIMIT 1;");
    								$sth->execute(array(':user_id' => $user_id));
    								$sth = $dbh->prepare("DELETE FROM user_activation WHERE user_id=:user_id LIMIT 1;");
    								$sth->execute(array(':user_id' => $user_id));
    								
									$SMTP_error = 1;
								}
							}
							else
							{
								$inv_user = 1;
							}
						}
						else
						{
							$inv_email = 1;
						}
					}
					else
					{
						$long_user_mail = 1;
					}
				}
				else
				{
					$pass_mismatch = 1;
				}
			}
			else
			{
				$short_pass = 1;
			}
		}
		else
		{
			$email_mismatch = 1;
		}
	}
	else
	{
		$empty_form = 1;
	}
	$dbh = NULL;
}
?>