<?php
/***************************************************************************
* Copyright 2015 Panagiotis Ioannidis - Minas Dasygenis                    *
*                                                                          *
* Licensed under the Apache License, Version 2.0 (the "License");          *
* you may not use this file except in compliance with the License.         *
* You may obtain a copy of the License at                                  *
*                                                                          *
*     http://www.apache.org/licenses/LICENSE-2.0                           *
*                                                                          *
* Unless required by applicable law or agreed to in writing, software      *
* distributed under the License is distributed on an "AS IS" BASIS,        *
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. *
* See the License for the specific language governing permissions and      *
* limitations under the License.                                           *
***************************************************************************/
$require_variable = 1;
require 'php_scripts/force_https_session_script.php';
require 'php_scripts/login_check_script.php';
require 'php_scripts/admin_check_script.php';
require 'php_scripts/db_connect_script.php';
require 'php_scripts/devices_admin_script.php';

require 'include/head.php';
echo "<title>Διαχείριση Συσκευών</title>";
echo "</head><body>";
require 'include/nav_menu.php';
?>

<div class='container'>
	<div class='row'>
		<?php require 'php_alerts/devices_admin_alerts.php'; ?>
	</div>
	<div class='row'>
		<div class='page_title'><a href='devices_admin.php'>Διαχείριση Συσκευών</a></div>
	</div>
	<?php require 'php_echoes/devices_admin_echoes.php'; ?>
	<div class='row device_admin_add'>
		<hr />
		<div class='col-md-4 hidden-xs hidden-sm text-center'>
		</div>
		<div class='col-md-4 text-center'>
			<label for='device_admin_add_form'>Προσθήκη νέας συσκευής</label>
			<form action='devices_admin.php' name='device_admin_add_form' id='device_admin_add_form' method='POST' role='form'>
   	   		 	<input type='text' id='devices_admin_new_device_name' name='new_device_name' class='form-control' placeholder='όνομα νέας συσκευής'<?php if(isset($new_device_name)) {echo "value='$new_device_name'";} ?>>
        		<label for='user'>Χρήστης</label>
        		<div id='device_admin_add_select'>
					<select name='user' id='user' class='form-control'>
						<?php
						echo "<option value='0'>-</option>\n";
						$sth = $dbh->prepare("SELECT user_id, user_name FROM users;");
						$sth->execute();
						while($result = $sth->fetch())
						{
							$user_name = $result['user_name'];
							$user_id = $result['user_id'];
							echo "<option value='$user_id'";
							if (isset($_POST['user']) && $_POST['user'] == $user_id)
							{
								echo " selected";
							}
							echo ">$user_name</option>\n";
						}
						?>
					</select>
				</div>
        		<input name='device_admin_add' id='device_admin_add_button' class='btn btn-primary btn-block form_button' type='submit' value='Προσθήκη'>
    		</form>
		</div>
		<div class='col-md-4 hidden-xs hidden-sm text-center'>
		</div>
	</div>
</div>

<?php
$dbh = NULL;
require 'include/footer.php';
exit();
?>