<?php
/***************************************************************************
* Copyright 2015 Panagiotis Ioannidis - Minas Dasygenis                    *
*                                                                          *
* Licensed under the Apache License, Version 2.0 (the "License");          *
* you may not use this file except in compliance with the License.         *
* You may obtain a copy of the License at                                  *
*                                                                          *
*     http://www.apache.org/licenses/LICENSE-2.0                           *
*                                                                          *
* Unless required by applicable law or agreed to in writing, software      *
* distributed under the License is distributed on an "AS IS" BASIS,        *
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. *
* See the License for the specific language governing permissions and      *
* limitations under the License.                                           *
***************************************************************************/
if (!isset($require_variable))
{
	header("Location: ../index.php");
	die();
}
$sth = $dbh->prepare("SELECT COUNT(*) FROM users_logs;");
$sth->execute();
$result = $sth->fetch(PDO::FETCH_NUM);
$rows_num = $result['0'];

if ($rows_num > 0)
{
	require 'php_pagination/users_admin_logs_pagination.php';
	$sth = $dbh->prepare("SELECT log_id, timestamp, user_name, action_description FROM users_logs ORDER BY timestamp DESC LIMIT :select_limit OFFSET :select_offset;");
	$sth->execute(array(':select_limit' => $logs_select_limit, ':select_offset' => $logs_select_offset));

	echo "<div class='row'><form action='users_admin_logs.php' name='users_admin_logs_form' method='POST'>";
	echo "<table class='table table-hover table-striped'>\n<tr><th><input type='checkbox' name='check_all_logs' value='0'></th><th>Α/Α</th><th>Χρονοσφραγίδα</th><th>Χρήστης</th><th>Ενέργεια</th></tr>";

	while ($result = $sth->fetch())
	{
		$log_id = $result['log_id'];
		$timestamp = $result['timestamp'];
		$user_name = $result['user_name'];
		$action_description = $result['action_description'];
		echo "<tr><td><input type='checkbox' name='log_id[]' value='$log_id'></td><td>$log_id</td><td>$timestamp</td><td>$user_name</td><td>$action_description</td></tr>";
	}
	echo "</table class='table table-hover table-striped'>";
	echo "<input type='submit' name='delete' class='btn btn-md btn-danger table_button form_button' value='Διαγραφή'>";
	echo "</form></div>";
}
else
{
	echo "<div class='row'><div class='alert alert-info' role='alert'>Κανένας χρήστης δεν έχει καταγεγραμμένες ενέργειες.</div></div>";
}
?>