<?php
/***************************************************************************
* Copyright 2015 Panagiotis Ioannidis - Minas Dasygenis                    *
*                                                                          *
* Licensed under the Apache License, Version 2.0 (the "License");          *
* you may not use this file except in compliance with the License.         *
* You may obtain a copy of the License at                                  *
*                                                                          *
*     http://www.apache.org/licenses/LICENSE-2.0                           *
*                                                                          *
* Unless required by applicable law or agreed to in writing, software      *
* distributed under the License is distributed on an "AS IS" BASIS,        *
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. *
* See the License for the specific language governing permissions and      *
* limitations under the License.                                           *
***************************************************************************/
if (!isset($require_variable))
{
	header("Location: ../index.php");
	die();
}
if (isset($_SESSION['id']))
{
	header("Location: dashboard.php");
	die();
}
require 'php_scripts/db_connect_script.php';
if (isset($_COOKIE['remember_username']) && isset($_COOKIE['remember_password']))
{
	$user_name = strip_tags($_COOKIE['remember_username']);
	$password = md5("ABBAE" . $_COOKIE['remember_password']);
	$sth = $dbh->prepare("SELECT user_id, user_name, password_hash, user_status, user_rank FROM users WHERE user_name=:user_name LIMIT 1;");
	$sth->execute(array(':user_name' => $user_name));
	
	if ($sth->rowCount() == 1)
	{
		$result = $sth->fetch();
		$user_id = $result['user_id'];
		$user_status = $result['user_status'];
		$user_rank = $result['user_rank'];
		if ($user_name == $result['user_name'] && $password == $result['password_hash'])
		{
			if ($user_status == 1)
			{
				$_SESSION['id'] = $user_id;;
				$_SESSION['rank'] = $user_rank;
				$_SESSION['user_name'] = $user_name;
				
				$action_description = "Ο χρήστης \"$user_name\" (Α/Α: $user_id) συνδέθηκε.";
				$sth = $dbh->prepare("INSERT INTO users_logs (log_id, timestamp, user_name, action_description) VALUES ('', NOW(), :user_name, :action_description);");
				$sth->execute(array(':user_name' => $_SESSION['user_name'], ':action_description' => $action_description));
				
				setcookie('remember_username', $user_name, time() + 2592000, dirname($_SERVER['SCRIPT_NAME']) . '/', $_SERVER['HTTP_HOST'], true, true); // 2592000 = 1 month
				setcookie('remember_password', $password, time() + 2592000, dirname($_SERVER['SCRIPT_NAME']) . '/', $_SERVER['HTTP_HOST'], true, true); // 2592000 = 1 month
				
				$dbh = NULL;
				header("Location: dashboard.php");
				die();
			}
			else if ($user_status == 0)
			{
				$inactive = 1;
				$_SESSION['activate_id'] = $user_id;
			}
			else if ($user_status == 2)
			{
				$banned = 1;
			}
		}
		else
		{
			setcookie('remember_username', '', time() - 151200, dirname($_SERVER['SCRIPT_NAME']) . '/', $_SERVER['HTTP_HOST'], true, true); // 151200 = 1 day
			setcookie('remember_password', '', time() - 151200, dirname($_SERVER['SCRIPT_NAME']) . '/', $_SERVER['HTTP_HOST'], true, true); // 151200 = 1 day
		}
	}
	else
	{
		setcookie('remember_username', '', time() - 151200, dirname($_SERVER['SCRIPT_NAME']) . '/', $_SERVER['HTTP_HOST'], true, true); // 151200 = 1 day
		setcookie('remember_password', '', time() - 151200, dirname($_SERVER['SCRIPT_NAME']) . '/', $_SERVER['HTTP_HOST'], true, true); // 151200 = 1 day
	}
	$dbh = NULL;
}
if (isset($_POST['user_name']) && isset($_POST['password']))
{
	$user_name = strip_tags($_POST['user_name']);
	$password = md5($_POST['password']);

	if ($user_name && $password)
	{
		$sth = $dbh->prepare("SELECT user_id, user_name, password_hash, user_status, user_rank FROM users WHERE user_name=:user_name LIMIT 1;");
		$sth->execute(array(':user_name' => $user_name));
	
		if ($sth->rowCount() == 1)
		{
			$result = $sth->fetch();
			$user_id = $result['user_id'];
			$user_status = $result['user_status'];
			$user_rank = $result['user_rank'];
			if ($user_name == $result['user_name'] && md5("ABBAE" . $password) == $result['password_hash'])
			{
				if ($user_status == 1)
				{
					$_SESSION['id'] = $user_id;;
					$_SESSION['rank'] = $user_rank;
					$_SESSION['user_name'] = $user_name;
					
					$action_description = "Ο χρήστης \"$user_name\" (Α/Α: $user_id) συνδέθηκε.";
					$sth = $dbh->prepare("INSERT INTO users_logs (log_id, timestamp, user_name, action_description) VALUES ('', NOW(), :user_name, :action_description);");
					$sth->execute(array(':user_name' => $_SESSION['user_name'], ':action_description' => $action_description));
					$dbh = NULL;
					
					if (isset($_POST['remember_me']) && $_POST['remember_me'] == 1)
					{
						setcookie('remember_username', $user_name, time() + 2592000, dirname($_SERVER['SCRIPT_NAME']) . '/', $_SERVER['HTTP_HOST'], true, true); // 2592000 = 1 month
						setcookie('remember_password', $password, time() + 2592000, dirname($_SERVER['SCRIPT_NAME']) . '/', $_SERVER['HTTP_HOST'], true, true); // 2592000 = 1 month
					}
					
					if (isset($_COOKIE['last_page']))
					{
						$location = $_COOKIE['last_page'];
						setcookie('last_page', '', time() - 151200, dirname($_SERVER['SCRIPT_NAME']) . '/', $_SERVER['HTTP_HOST'], false, false); // 151200 = 1 day
						header("Location: $location");
						die();
					}
					else
					{
						header("Location: dashboard.php");
						die();
					}
				}
				else if ($user_status == 0)
				{
					$inactive = 1;
					$_SESSION['activate_id'] = $user_id;
				}
				else if ($user_status == 2)
				{
					$banned = 1;
				}
			}
			else
			{
				$inv_cred = 1;
			}
		}
		else
		{
			$inv_cred = 1;
		}
	}
	else 
	{
		$empty_form = 1;
	}
}
$dbh = NULL;
?>