<?php
/***************************************************************************
* Copyright 2015 Panagiotis Ioannidis - Minas Dasygenis                    *
*                                                                          *
* Licensed under the Apache License, Version 2.0 (the "License");          *
* you may not use this file except in compliance with the License.         *
* You may obtain a copy of the License at                                  *
*                                                                          *
*     http://www.apache.org/licenses/LICENSE-2.0                           *
*                                                                          *
* Unless required by applicable law or agreed to in writing, software      *
* distributed under the License is distributed on an "AS IS" BASIS,        *
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. *
* See the License for the specific language governing permissions and      *
* limitations under the License.                                           *
***************************************************************************/
$require_variable = 1;
require 'php_scripts/force_https_session_script.php';
require 'php_scripts/login_check_script.php';
require 'php_scripts/admin_check_script.php';
require 'php_scripts/db_connect_script.php';
require 'php_scripts/users_admin_script.php';

require 'include/head.php';
echo "<title>Διαχείριση Χρηστών</title>";
echo "</head><body>";
require 'include/nav_menu.php';
?>

<div class='container'>
	<div class='row'>
		<?php require 'php_alerts/users_admin_alerts.php'; ?>
	</div>
	<div class='row'>
		<div class='page_title'><a href='users_admin.php'>Διαχείριση Χρηστών</a></div>
	</div>
	<?php require 'php_echoes/users_admin_echoes.php'; ?>
	<div class='row'>
		<div class='col-md-4 hidden-xs hidden-sm text-center'>
			
		</div>
		<div class='col-md-4 col-sm-12 text-center'>
			<label for='user_admin_add_form'>Προσθήκη νέου χρήστη</label>
			<form action='users_admin.php' name='user_admin_add_form' id='user_admin_add_form' method='POST' role='form'>
   	   		 	<input type='text' id='user_admin_add_user_name' name='new_user_name' class='form-control' placeholder='όνομα χρήστη'<?php if (isset($new_user_name)) {echo "value='" . $new_user_name . "'";} ?>>
   	   		 	<input type='text' id='user_admin_add_email' name='new_email' class='form-control' placeholder='διεύθυνση e-mail χρήστη'<?php if (isset($new_email)) {echo "value='" . $new_email . "'";} ?>>
   	   		 	<input type='text' id='user_admin_add_confirm_email' name='confirm_new_email' class='form-control' placeholder='επιβεβαίωση διεύθυνσης e-mail'<?php if (isset($confirm_new_email)) {echo "value='" . $confirm_new_email . "'";} ?>>
   	 			<input type='password' id='user_admin_add_password' name='new_password' class='form-control' placeholder='κωδικός'>
   	 			<input type='password' id='user_admin_add_confirm_password' name='confirm_new_password' class='form-control' placeholder='επιβεβαίωση κωδικού'>
				<label for='user_rank_manage'>Βαθμίδα</label>
				<div id='user_rank_manage' class='btn-group btn-group-justified' data-toggle='buttons'>
					<label class='btn btn-default<?php if(isset($_POST['new_user_rank']) && $_POST['new_user_rank'] == '0'){echo(" active");} else if (!isset($_POST['new_user_rank'])) { echo " active"; } ?>'>
						<input type='radio' name='new_user_rank' value='0' id='option1' autocomplete='off'<?php if(isset($_POST['new_user_rank']) && $_POST['new_user_rank'] == '0'){echo(" checked");}?>>Χρήστης
					</label>
					<label class='btn btn-default<?php if(isset($_POST['new_user_rank']) && $_POST['new_user_rank'] == '1'){echo(" active");}?>'>
						<input type='radio' name='new_user_rank' value='1' id='option2' autocomplete='off'<?php if(isset($_POST['new_user_rank']) && $_POST['new_user_rank'] == '1'){echo(" checked");}?>>Διαχειριστής
					</label>
				</div>
        		<input name='user_admin_add' id='user_admin_add_button' class='btn btn-primary btn-block form_button' type='submit' value='Προσθήκη'>
    		</form>
		</div>
		<div class='col-md-4 hidden-xs hidden-sm text-center'>
			
		</div>
	</div>
</div>

<?php
$dbh = NULL;
require 'include/footer.php';
exit();
?>